﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;

namespace WebApplication2.Pages
{
    public class IndexModel : PageModel
    {
        public string AccessType { get; set; }
        public string[] AccessTypes { get; set; }
        public void OnGet()
        {
            
            AccessTypes = new ListItems().getListItems();
            AccessType = "TSAdmin";

        }
        [HttpPost]
        public async Task<IActionResult> OnPostAsync()
        {
            if (!ModelState.IsValid)
            {
                return Page();
            }
            AccessTypes = new ListItems().getListItems();
            AccessType =  Request.Form["AccessType"];
            return Page();
        }
    }
    public class DataModel
    {
        public string AccessType { get; set; }
        public string[] AccessTypes { get; set; }

    }

    public class ListItems
    {
        public string[] getListItems()
        {
            return new string[] { "Officer", "Supervisor", "TSAdmin", "Admin" };
        }
    }
}
